----------------------NASHARA---------------------
-- http://wowwiki.wikia.com/Widget_API
--------------------------------------------------
local AIO = AIO or require("AIO")
if AIO.AddAddon() then
    return
end

--Comentario
local Redeemer = AIO.AddHandlers("Nash_Custom_PromoCode", {})

PromoCode = CreateFrame("Frame", "PromoCode", UIParent)
local frame = PromoCode
frame:SetSize(300, 230)
frame:RegisterForDrag("LeftButton")
frame:SetPoint("CENTER")
frame:SetToplevel(true)
frame:SetClampedToScreen(true)
frame:SetMovable(false)
frame:EnableMouse(true)
frame:Hide()


frame:SetBackdrop({
     bgFile="Interface/DialogFrame/ui-dialogbox-gold-background",
     edgeFile="Interface/DialogFrame/ui-dialogbox-gold-border",
     edgeSize = 24,
     insets = { left = 1, right = 1, top = 1, bottom = 1 }
 })



function Redeemer.VerFrame(player)
  

  frame:Show()

end

function Redeemer.HideFrame(player)
  

  frame:Hide()

end

-- local PromoCodeFramex = CreateFrame("EditBox", "BordePromoCode", frame, "InputBoxTemplate")

local PromoCodeFramex = frame:CreateTexture("BACKGROUND")
PromoCodeFramex:SetTexture("Interface\\Store\\receipt-parchment-middle.blp")
PromoCodeFramex:SetTexCoord(0, 0.0, 0, 0);
PromoCodeFramex:SetSize(300,230)
PromoCodeFramex:SetDrawLayer("BACKGROUND", 1)
PromoCodeFramex:SetPoint("CENTER", frame, "CENTER", 0, 0);




-----------------------BOTON DE CERRAR----------------------------
CloseButton = CreateFrame("Button", nil, frame);
CloseButton:SetPoint("CENTER", PromoCodeFramex, "BOTTOM", 125, 215);
CloseButton:SetSize(40,25);
CloseButton:SetNormalTexture("Interface\\PatchNashara\\MenuButtonNormal.blp");
CloseButton:SetHighlightTexture("Interface\\PatchNashara\\MenuButtonHighlighted.blp");
CloseButton:SetPushedTexture("Interface\\PatchNashara\\MenuButtonPushed.blp");
CloseButton:SetText("X");
CloseButton:SetNormalFontObject("GameFontNormal");

CloseButton:SetScript("OnClick", function(self)
	--isChecked = DoNotShow:GetChecked()

	frame:Hide()
end)

-----------------------CREANDO EL IMPUT-----------------------------
local input = CreateFrame("EditBox", "InputPromoCodeBeta", frame, "InputBoxTemplate")
input:SetSize(100, 40)
input:SetAutoFocus(false)
input:SetPoint("CENTER", frame, "CENTER", 0, 0)
input:SetScript("OnEnterPressed", input.ClearFocus)
input:SetScript("OnEscapePressed", input.ClearFocus)

--InputPromoCodeBeta:SetBackdrop({
  --   bgFile="Interface/DialogFrame/ui-dialogbox-gold-background",
  --   edgeFile="Interface/DialogFrame/ui-dialogbox-gold-border",
  --  edgeSize = 40,
  --  insets = { left = 1, right = 0, top = 1, bottom = 1 }
--  })

------------------------CREANDO EL SLIDER------------------------------
--local slider = CreateFrame("Slider", "SlidePromoCodeBeta", frame, "OptionsSliderTemplate")
--slider:SetSize(100, 17)
--slider:SetPoint("CENTER", frame, "CENTER", 0, -50)
--slider:SetValueStep(0.5)
--slider:SetMinMaxValues(0, 100)
--slider:SetValue(50)
--slider.tooltipText = 'Desliza y envia un valor'
--_G[slider:GetName() .."Text"]:SetText(50)
--slider:SetScript("OnValueChanged", function(self) _G[slider:GetName() .."Text"]:SetText(self:GetValue()) end)
--_G[slider:GetName().."High"]:Hide()
--_G[slider:GetName().."Low"]:Hide()
--slider:Show()



-------------------------------TITULO----------------------------

local Bienvenidos = PromoCode:CreateFontString("$parentText", "OVERLAY");
--Bienvenidos:SetFont("Fonts/FRIZQT__.TTF",18)
Bienvenidos:SetFont("Fonts/MORPHEUS.TTF",25)
Bienvenidos:SetPoint("CENTER", PromoCodeFramex, "TOP", 0, -30);
Bienvenidos:SetFontObject("GameFontNormal")
Bienvenidos:SetFontObject("GameFontBlack")
Bienvenidos:SetText("Códigos regalos")
Bienvenidos:SetWidth(350)
Bienvenidos:SetJustifyH("MIDDLE");

-------------------------TITULO DE LA ALIANZA---------------------------------
--local PromoCodeSATitle = PromoCode:CreateFontString("$parentText", "OVERLAY");
--PromoCodeSATitle:SetFont("Fonts/MORPHEUS.TTF",18)
--PromoCodeSATitle:SetPoint("CENTER", PromoCodeFramex, "CENTER", -150, 180);
--PromoCodeSATitle:SetFontObject("GameFontBlack")
--PromoCodeSATitle:SetText("La Alianza")
--PromoCodeSATitle:SetWidth(300)
--PromoCodeSATitle:SetJustifyH("MIDDLE");

-------------------------BOTON DECORACION IZQ-----------------------------------
local buttonD = CreateFrame("Button", "decoracion", frame)
buttonD:SetSize(100, 25)
buttonD:SetPoint("CENTER", PromoCodeFramex, "BOTTOM", -150, 530);
--button:SetPoint("CENTER", frame, "CENTER")
buttonD:EnableMouse(true)
-- Pequeño script para borrar el foco de la entrada al hacer clic
buttonD:SetScript("OnMouseUp", function() input:ClearFocus() end)
-- Por lo general, uso UIPanelButtonTemplate para los botones, pero quería mostrar y probar algunas texturas de color personalizadas aquí:
local texture = buttonD:CreateTexture("TextureTest")
texture:SetAllPoints(buttonD)
--texture:SetTexture(0.5, 1, 1, 0.5)
buttonD:SetNormalTexture(texture)
buttonD:SetNormalTexture("Interface\\PatchNashara\\MenuButtonNormal7.blp");
buttonD:SetSize(280,150);

-----------------------TEXTO ALIANZA---------------------------------------
--local PromoCodeSAText = PromoCode:CreateFontString("$parentText", "OVERLAY");
--PromoCodeSAText:SetFont("Fonts/FRIZQT__.TTF",13.2)
--PromoCodeSAText:SetPoint("CENTER", PromoCodeFramex, "BOTTOM", -150, 390);
--PromoCodeSAText:SetFontObject("CombatLogFont")
--PromoCodeSAText:SetFontObject("GameFontBlackMedium")
--PromoCodeSAText:SetText("Las nobles razas de la Alianza están unidas por orgullosas tradiciones de nobleza, honor, fe, justicia y sacrificio. \n\nLos distintos pueblos de la Alianza contribuyen con su sabiduría, técnica arcana y espiritual para alcanzar un objetivo: un mundo justo y en paz. \n\nLleva su estandarte y representa los altos ideales de la Alianza por todo Azeroth y más allá.\n\n¡Por la Alianza!")
--PromoCodeSAText:SetWidth(180)
--PromoCodeSAText:SetJustifyH("MIDDLE");

-------------------------TITULO DE LA HORDA----------------------------------
--local PromoCodeSHTitle = PromoCode:CreateFontString("$parentText", "OVERLAY");
--PromoCodeSHTitle:SetFont("Fonts/MORPHEUS.TTF",18)
--PromoCodeSHTitle:SetPoint("CENTER", PromoCodeFramex, "CENTER", 150, 180);
--PromoCodeSHTitle:SetFontObject("GameFontBlack")
--PromoCodeSHTitle:SetText("La Horda")
--PromoCodeSHTitle:SetWidth(300)
--PromoCodeSHTitle:SetJustifyH("MIDDLE");

-------------------------BOTON DECORACION DER---------------------------------
--local buttonE = CreateFrame("Button", "decoracion", frame)
--buttonE:SetSize(100, 30)
--buttonE:SetPoint("CENTER", PromoCodeFramex, "BOTTOM", 150, 530);
--button:SetPoint("CENTER", frame, "CENTER")
--buttonE:EnableMouse(true)
-- Pequeño script para borrar el foco de la entrada al hacer clic
--buttonE:SetScript("OnMouseUp", function() input:ClearFocus() end)
-- Por lo general, uso UIPanelButtonTemplate para los botones, pero quería mostrar y probar algunas texturas de color personalizadas aquí:
--local texture = buttonD:CreateTexture("TextureTest")
--texture:SetAllPoints(buttonE)
--texture:SetTexture(0.5, 1, 1, 0.5)
--buttonE:SetNormalTexture(texture)
--buttonE:SetNormalTexture("Interface\\PatchNashara\\MenuButtonNormal7.blp");
--buttonE:SetSize(280,150);

------------------------TEXTO HORDA------------------------------------
--local PromoCodeSHText = PromoCode:CreateFontString("$parentText", "OVERLAY");
--PromoCodeSHText:SetFont("Fonts/FRIZQT__.TTF",13.2)
--PromoCodeSHText:SetPoint("CENTER", PromoCodeFramex, "BOTTOM", 150, 390);
--PromoCodeSAText:SetFontObject("CombatLogFont")
--PromoCodeSHText:SetFontObject("GameFontBlackMedium")
--PromoCodeSHText:SetText("Las orgullosas naciones de la Horda se han unido por conveniencia contra un mundo hostil que desea destruirlas.\n\nLa Horda es decidida, feroz y en ocasiones monstruosa. Valora la fuerza y el honor, pero le cuesta controlar su agresividad.\n\nÚnete a la Horda y lucha para construir un mundo en el que sus gentes puedan vivir en libertad.\n\n¡Por la Horda!")
--PromoCodeSHText:SetWidth(180)
--PromoCodeSHText:SetJustifyH("MIDDLE");

----------------------BOTON Canjear código-----------------------------------
local button = CreateFrame("Button", "PromoCodeBoton", frame)

button:SetPoint("CENTER", PromoCodeFramex, "CENTER", 0, -50);
--button:SetPoint("CENTER", frame, "CENTER")
button:EnableMouse(true)
-- Pequeño script para borrar el foco de la entrada al hacer clic
button:SetScript("OnMouseUp", function() input:ClearFocus() end)
-- Por lo general, UIPanelButtonTemplate para botones, voy a probar algunas texturas de color personalizadas aquí:
--TextureTest
local texture = button:CreateTexture("UIPanelButtonTemplate")
texture:SetAllPoints(button)
-- texture:SetTexture(0.5, 1, 1, 0.5)
button:SetNormalTexture(texture)
-- Establezco la fuente, podría usar la plantilla GameFontNormal, también se puede usar una custom
local fontstring = button:CreateFontString("FontTest")
fontstring:SetFont("Fonts\\FRIZQT__.TTF", 11, "OUTLINE, MONOCHROME")
--fontstring:SetFont("Fonts\\FRIZQT__.TTF", 15, "GameFontNormal")
fontstring:SetFont("Fonts\\FRIZQT__.TTF", 15)
fontstring:SetFontObject("GameFontNormal")
fontstring:SetShadowOffset(1, -1)
button:SetFontString(fontstring)
button:SetText("Canjear código")
--button:SetHighlightTexture("Interface\\PatchNashara\\MenuButtonNormal5.blp");
--button:SetNormalTexture("Interface\\PatchNashara\\MenuButtonNormal4.blp");
--button:SetHighlightTexture("Interface\\PatchNashara\\MenuButtonNormal6.blp");
--button:SetPushedTexture("Interface\\PatchNashara\\MenuButtonNormal3.blp");
button:SetSize(130, 50) -- (x , y)
button:SetNormalTexture("Interface\\PatchNashara\\MenuButtonNormal.blp");
button:SetHighlightTexture("Interface\\PatchNashara\\MenuButtonHighlighted.blp");
button:SetPushedTexture("Interface\\PatchNashara\\MenuButtonPushed.blp");



local function OnClickButton(btn)
  --Le pasamos el evento de onlick a nuestro archivo del servidor.
  AIO.Handle("Nash_Custom_PromoCode", "PromoCodeSeleccion", input:GetText())
  --AIO.Handle("Nash_Custom_PromoCode", "PromoCodeSeleccion", input:GetText(),btn:GetName(), slider:GetValue())
	--Comentario
	--AIO.Handle("Nash_Custom_PromoCode", "PromoCodeSeleccion", btn:GetName())
end

button:SetScript("OnClick", OnClickButton)
